Create a new pricelist
Create a new pricelist.
Required permissions: PRICELIST
post/tenants/{tenantUid}/pricelists
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+Body
externalIdstringOptional
namestringOptional
pricelistUidstringOptionalPattern:
^[A-Za-z0-9-_]+Responses
200
Example response
application/json
createdAtstring · date-timeRequired
externalIdstringRequired
lastModifiedAtstring · date-timeRequired
namestringRequired
pricelistUidstringRequiredPattern:
^[A-Za-z0-9-_]+post/tenants/{tenantUid}/pricelists
POST /v2/tenants/{tenantUid}/pricelists HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 57
{
"externalId": "text",
"name": "text",
"pricelistUid": "text"
}200
Example response
{
"createdAt": "2026-01-01T00:00:00.000Z",
"externalId": "text",
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"name": "text",
"pricelistUid": "text"
}Last updated
Was this helpful?

